import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/HelpMapper.js" as HelpMapper

ActivationBasePage
{
	objectName: "activationPageRegistration"
	Localizer { id:tr; scope:"LicenseManager" }
	headerString:		tr.Localize("RegistrationFormHeader")

	function getHelpId()
	{
        return HelpMapper.ActivationPageRegistrationHelpId;
	}

	Flickable
	{
		id: scrollView
		anchors.fill: parent
		property int innerMargin: 40
		contentHeight: Math.max(selfHeightedForm.height, height - innerMargin * 2)
		interactive: false
		ActivationRegistrationWebView
		{
			objectName: "selfHeightedForm"
			id: selfHeightedForm
			width: parent.width
			preferredWidth : parent.width
            preferredHeight : parent.height
			html: context.ActivationPageFormDownloaded.Form
			visible: height > parent.height
			focus: visible
		}
		ActivationRegistrationWebView
		{
			objectName: "parentHeightedForm"
			id: parentHeightedForm
			anchors.fill: parent
			preferredWidth : parent.width
            preferredHeight : parent.height
			html: context.ActivationPageFormDownloaded.Form
			visible: !selfHeightedForm.visible
			focus: visible
		}
	}

    Widgets.ScrollBar
	{
		id: scrollbar
		target: scrollView
		anchors.top: scrollView.top;
        anchors.topMargin: -30
        anchors.bottom: scrollView.bottom;
        anchors.bottomMargin: -30
		anchors.right: scrollView.right;
        anchors.rightMargin: -30
	}

	function getActiveForm()
	{
		return selfHeightedForm.visible ? selfHeightedForm : parentHeightedForm;
	}

	function onNext()
	{
		context.Query = getActiveForm().evaluateJavaScript("window.getFormData()");
	}
}
