import QtQuick 1.1

MouseArea
{
    id: clickSimulator

    signal linkActivated(string link)

    z: -1
    anchors.fill: parent
    hoverEnabled: true
    property real lastX: -1
    property real lastY: -1
    property bool inSimulatedClick
    property bool linkHovered: false
    onPositionChanged:
    {
        if (!inSimulatedClick && (mouseX != lastX || mouseY != lastY))
        {
            lastX = mouseX;
            lastY = mouseY;
            inSimulatedClick = true;
            Window.SimulateMouseClick();
        }
    }
    onClicked:
    {
        if (!inSimulatedClick)
            return
        inSimulatedClick = false;
        linkHovered = false
    }
    function linkHover()
    {
        inSimulatedClick = false;
        linkHovered = true;
    }
    Clickable
    {
        customClickableCursor: clickSimulator.linkHovered
    }
    Connections
    {
        ignoreUnknownSignals: true
        target: clickSimulator.parent
        onLinkActivated: clickSimulator.inSimulatedClick ? clickSimulator.linkHover() : clickSimulator.linkActivated(link)
    }
}
