import QtQuick 1.1

Item
{
	objectName: "defaultButtonManager"
	property variant defaultButton
	property variant focusedButton
	anchors.fill: parent

	function register(button)
	{
		defaultButton = button;
	}
	function deregister(button)
	{
		if (defaultButton == button)
			defaultButton = undefined;
	}
	function registerFocusedButton(button)
	{
		focusedButton = button;
	}

	function deregisterFocusedButton(button)
	{
		if (focusedButton == button)
			focusedButton = undefined;
	}
	function isRegistered(button)
	{
		return defaultButton == button;
	}
	function focusButtonRegistered()
	{
		return focusedButton != undefined;
	}
	function clicked(event)
	{
		if (defaultButton)
        {
            try
            {
                defaultButton.clicked();
            }
            catch(e)
            {
                defaultButton = undefined;
                console.log("Default button click event handler - failed");
            }
        }
		else
			event.accepted = false;
	}
	Keys.onPressed:
	{
        if (event.key === Qt.Key_Enter || event.key === Qt.Key_Return)
			clicked(event);
		else
			event.accepted = false;
	}
	Component.onDestruction:
	{
		defaultButton = undefined
		focusedButton = undefined
	}
}
