import QtQuick 1.1

Item
{
	objectName: "HotKeyScope"
	property bool isHotKeyScope: true
	property bool hotKeysEnabled: true

	// public:
	function register(text, func)
	{
		var lowerText = text.toLowerCase();
		var success = !map[lowerText]
		if (success)
			map[lowerText] = func;
		else
			console.log("hot key conflict: '" + lowerText + "'");
		return success;
	}
	function unregister(text)
	{
		var lowerText = text.toLowerCase();
		map[lowerText] = undefined;
	}

	// private:
	function map() {}

	Keys.onPressed:
	{
		if (!(event.modifiers & Qt.AltModifier))
			return;
		var lowerText = event.text.toLowerCase();
		var handler = map[lowerText]
		if (!handler)
			return;
		handler();
		event.accepted = true;
	}
}
