import QtQuick 1.1

Image
{
    property alias progressImage: thumb.source;
    property int period: 500

    id: progressBar;
    source: "../images/splash/progress_line.png";

    Item
    {
        id: padding;
        clip: true;

        anchors.fill: parent;
        anchors.leftMargin: 1
        anchors.rightMargin: 1

        BorderImage
        {
            id: thumb;
            source: "../images/splash/progress_infinum.png";

            width: parent.width + thumb.sourceSize.width
            anchors.top: parent.top
            anchors.bottom: parent.bottom
            horizontalTileMode: BorderImage.Repeat

            anchors.left: parent.left
            anchors.leftMargin: -thumb.sourceSize.width
            PropertyAnimation on anchors.leftMargin {from: -thumb.sourceSize.width; to: 0; duration: progressBar.period; loops: Animation.Infinite; }
        }
    }
}
