import QtQuick 1.1

Item
{
    height: parent.height
    width: scrollBackgroundWrapper.width
    property variant target
	objectName:	"scrollBar"

    Item
    {
        id: scrollBackgroundWrapper
        height: parent.height
        width: visible ? childrenRect.width : 0
        visible: scroll.visible
        anchors.left: parent.left

        Rectangle
        {
            id: scrollBorder
            anchors.left: parent.left
            height: parent.height
            width: 1
            color: "#d8d8d8"
        }

        Rectangle
        {
            id: scrollBackground
            anchors.left: scrollBorder.right
            height: parent.height
            width: 14
            color: "#f4f4f4"
        }
    }

    FlickableScrollBar
    {
        id: scroll
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter
        height: parent.height - 10
        target: parent.target

        background: Item
        {
            height: parent.height
            width: 15
        }

        thumb: Item
        {
			objectName:	"scrollBarThumb"
            BorderImage
            {
                height: parent.height
                anchors.horizontalCenter: parent.horizontalCenter
                source: "../images/widgets/scrollbar.png"
                border {top: 4; bottom: 4; left: 0; right: 0}
            }
        }
    }
}
