import QtQuick 1.1

Loader
{
	id: loader
	objectName: "customLoader"
	property string file
	width: parent.width
	height: parent.height
	
	states: [
		State { 
			name: "Hide"; 
			StateChangeScript { script: {
				if (!item) return 
				item.state = "Hide"; 
				timer.interval = item.duration;
				timer.running = true; 
			}}
		},
		State { 
			name: "Show"; 
			StateChangeScript { script: { loader.source = file; } }
		}
	]
	onLoaded: 
	{ 
		if (typeof item.init == 'function')
			item.init(loader); 
		if (item) item.state = "Show" 
	}

	Timer // hack
	{
		id: timer;
		running: false;
		onTriggered: 
		{ 
			//console.log("unload " + loader.source);
			loader.source = "";
		}
	}

	state: "Hide"
}
