import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

Row
{
    id: buttonRow
    property alias buttonText: button.text
    property alias labelText: label.text
    property int minWidth: 200
    property alias buttonWidth: button.width

    objectName: "Row"
    spacing: 10
    signal clicked

    SettingsButton
    {
        id: button
        minWidth: buttonRow.minWidth
        anchors.verticalCenter: parent.verticalCenter
        onClicked: buttonRow.clicked()
    }

    SettingsStandardText
    {
        id: label

        property variant fontStyles: Fonts.Common{}

        isBold: true
        anchors.verticalCenter: parent.verticalCenter
    }
}
