import QtQuick 1.1
import "../fonts" as Fonts

Item
{
	id:editBox

	property variant target: editBox
	property string property: "text"
	property alias validator: edit.validator
	property variant showBorder: true

	property variant fontStyles: Fonts.Common{}
	property int margin: 6
	property bool isPassword: false
	property alias text: edit.text
	property alias textfont: edit.font
	property real minHeight: 30
	property bool fontBold: false

    property alias backgroundImage: editBorder.backgroundImage
    property alias disabledImage: editBorder.disabledImage
    property alias leftBorder: editBorder.leftBorder
    property alias rightBorder: editBorder.rightBorder

	property int tabOrder: 1

	property alias isActiveFocus: edit.activeFocus
	function setActiveFocus()
	{
            edit.forceActiveFocus();
	}

	height: Math.max(edit.height + 2 * margin, minHeight)

    EditBorder
    {
        id: editBorder
    }

    property bool selectAllOnFocus: false

	EditableMessageArea{anchors.fill: edit}

	TextInput
	{
		id: edit
		property int tabOrder: 1
		font: fontBold ? editBox.fontStyles.standardEditBoxFontBold : editBox.fontStyles.standardEditBoxFont
		anchors.left:parent.left
		anchors.right:parent.right
		anchors.leftMargin:editBox.margin
		anchors.rightMargin:editBox.margin
		anchors.verticalCenter: parent.verticalCenter
		autoScroll: true
		selectByMouse:true
		echoMode: editBox.isPassword ? TextInput.Password : TextInput.Normal;
		horizontalAlignment: TextEdit.AlignLeft
		Binding
		{
			target: editBox.target
			property: editBox.property
			value: edit.text
		}
		property string contextText
		contextText: eval("editBox.target." + editBox.property)
		onContextTextChanged: text = contextText

        onActiveFocusChanged: {
            if (selectAllOnFocus && edit.activeFocus) {
                edit.selectAll();
            }
        }
	}
}
