import QtQuick 1.1

Item
{
	id: widget
	objectName: "IntSpinEdit"

	property variant target
	property string property
	property int minValue: -2147483647
	property int maxValue: 2147483647

	implicitWidth: 65
    implicitHeight: 21

	function setActiveFocus()
	{
        edit.forceActiveFocus();
	}

    EditBox
	{
		id: edit
        backgroundImage: "../images/widgets/spin_edit_box.png"
        disabledImage: "../images/widgets/spin_edit_box_disabled.png"

		anchors
		{
            left: parent.left
            right: spin.left
			top: parent.top
			bottom: parent.bottom
		}

		target: widget.target
		property: widget.property
		validator: validator
        showBorder: true
        selectAllOnFocus: true

        Keys.onUpPressed: spin.processKeyPressed(event, "increment");
        Keys.onDownPressed: spin.processKeyPressed(event, "decrement");
    }

	Spin
	{
		id: spin
		objectName: "Spin"

		anchors
		{
            right: parent.right
		}

        tabOrder: 0
		target: widget.target
        property: widget.property
		minValue: widget.minValue
		maxValue: widget.maxValue
    }

	IntValidator
	{
		id: validator
		bottom: widget.minValue
		top: widget.maxValue
	}
}
