import QtQuick 1.1

QtObject
{
	// public
	property bool inverted: false

	function convert(prop)
	{
		if (!inverted)
			return prop;
		if (isEmpty(map))
			initialize();
		var result = map[prop];
		return result;
	}

	function get(obj, prop)
	{
		return obj[convert(prop)];
	}

	// private
	function map() {}

	function initialMap()
	{
		return {
			"x" : "y",
			"X" : "Y",
			"height" : "width",
			"verticalCenter" : "horizontalCenter",
		};
	}

	function initialize()
	{
		var initial = initialMap();
		for (var prop in initial)
		{
			var mirrored = initial[prop];
			map[prop] = mirrored;
			map[mirrored] = prop;
		}
	}

	function isEmpty(obj)
	{
		for (var prop in obj)
		{
			if (obj.hasOwnProperty(prop))
				return false;
		}
		return true;
	}
}
