import QtQuick 1.1
import "../fonts" as Fonts

Rectangle
{
    id:staticLabel
    property variant standartFontStyles: Fonts.Common{}
    property alias caption:         captionItem.text
    property alias value:           textItem.text
    property alias captionColor:    captionItem.color
    property alias valueColor:      textItem.color
    property alias captionFont:     captionItem.font
    property alias valueFont:       textItem.font
    property alias valueElide:      textItem.elide
    property alias valueAnchors:    textItem.anchors
    property bool isWrapMode:	    true
    property bool wrapToBottom:	    true
	property real spacing: 2

    height: captionItem.height > textItem.height ? captionItem.height : textItem.height;
	width: isWrapMode ? parent.width : captionItem.width + textItem.width +(captionItem.text != "" ? staticLabel.spacing : 0);
    
    signal link;

    Behavior on opacity { NumberAnimation {} }

    Text
    {
        id: 	captionItem
        color:	"black";
        font:	staticLabel.standartFontStyles.standardCommonTextFont
		anchors.left: parent.left;
		horizontalAlignment: Text.AlignLeft
    }

    Text
    {
        id: textItem
        anchors.left: captionItem.right;
		anchors.leftMargin: captionItem.text != "" ? staticLabel.spacing : 0;
        anchors.bottom: parent.wrapToBottom ? undefined : captionItem.bottom;
        anchors.top: parent.wrapToBottom ? captionItem.top : undefined
        anchors.right: (parent.isWrapMode || (elide != Text.ElideNone)) ? parent.right : undefined;
        color: "gray";
        font: staticLabel.standartFontStyles.standardCommonTextFont
		wrapMode: parent.isWrapMode ? Text.Wrap : Text.NoWrap;
		onLinkActivated: staticLabel.link();
		horizontalAlignment: Text.AlignLeft
    }
}
