import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts

Item
{
    property variant fontStyles: Fonts.Online{}
    
    Localizer { id:tr; scope:"Online" }

	property string trouble
	
	height: childrenRect.height
	
	Column
	{
		width: parent.width
		spacing: 5
		Row
		{
			anchors.left: parent.left
			spacing: 8
			width : parent.width
			
			Image
			{
				id: icon
				source: "../common/images/ico_info_24.png"
			}
			
			Text
			{
				text: tr.Localize("KsnNotConnected")
                font:	fontStyles.header2
				horizontalAlignment: Text.AlignLeft
				wrapMode: Text.WordWrap
				width: parent.width - icon.width - parent.spacing
			}
		}
		
		
		Text
		{
			width : parent.width
			text: tr.Localize(trouble)
			font:	fontStyles.normal
			wrapMode: "WordWrap"
			horizontalAlignment: Text.AlignLeft
		}
	}
}
