import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Item
{
    id: panelCaption
    signal back
    signal home
    objectName: "caption"
    width: parent.width
    height: 35
    property int tabOrder: 1

    property alias canHome: homeButton.visible
    property alias caption: caption.text
    property variant commonFontStyles: Fonts.Common{}

    Widgets.BackButton
    {
        id: gobackButton
        objectName: "goBack"
        anchors.left: parent.left
        anchors.leftMargin: 7
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 1

        Localizer { id:tr; scope:"MainWindow" }
        text: tr.Localize("Back");
        onClicked: panelCaption.back()
    }

    Widgets.CaptionButton
    {
        id: homeButton
        objectName: "Home"
        anchors.left: gobackButton.right
        anchors.leftMargin: 4
        iconImage: "../images/inner/ico_home.png";
        minWidth: 0
        onClicked: panelCaption.home()
    }

    Text
    {
        id: caption
        smooth: true
        font: commonFontStyles.standardSectionCaptionFont
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 1
        color: "#202020"
    }
}
