import QtQuick 1.1
import "../common/widgets" as Widgets

Item
{
	id: view
	objectName: "toolPanel"
    height: flipPanel.height - dashboard.y - greenBottom.height + 5
	// public
	signal activate(string panelName)
	property bool canLeft: false
	property bool canRight: false
	signal compressPanel
	// private
	property int featuresPerRow: 4
	property int rowCount: 3
	property alias focusIndex: gridView.currentIndex
	property alias activeFocus: gridView.activeFocus
	function setActiveFocus()
	{
		gridView.forceActiveFocus();
    }
	
	GridView
	{
		clip: true
		id: gridView
		objectName: "Grid"
		property int tabOrder: 1
		width: cellWidth * featuresPerRow
		cellWidth:  Math.floor(parent.width / featuresPerRow)
		cellHeight: Math.floor((parent.height - 30) / rowCount)
		height: cellHeight * rowCount
		anchors.horizontalCenter: parent.horizontalCenter
		anchors.top: parent.top
		anchors.topMargin: 1

        Keys.onDownPressed:
		{
			if (event.modifiers & Qt.AltModifier)
				featureBox.down();
			else
				event.accepted = false;
		}

        delegate: Item
        {
            width: gridView.cellWidth;
            height: gridView.cellHeight;

            ToolListItem
            {
                anchors.verticalCenter: parent.verticalCenter
                anchors.horizontalCenter: parent.horizontalCenter
                onActivate: view.activate(panelName)
            }
        }
		model: MainWindow.toolsList
		boundsBehavior: Flickable.StopAtBounds
	}
}
