import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/border" as Border

Border.BorderedContent
{
    objectName: "balloon"
    content: dialog
	property variant context: ProductNotification
    
    Localizer { id:tr; scope:"Notifications" }
    
    Widgets.SecondaryWindow
    {
        id: dialog
        objectName: "NotificationBalloon"
        property variant context: ProductNotification
        property variant standartFontStyles: Fonts.Common{}

        width:	400
        height: 280

	    caption: tr.Localize("ProductName")
        workArea : Item
        {
            id: mainArea
            objectName: "mainArea"
            anchors.fill: parent
            anchors.topMargin:	30
            anchors.leftMargin: 30
            anchors.rightMargin: 30
			
			Text
			{
				text: tr.Localize(context.notificationText)
			}

			Item
			{
				id: licenseRemainderFooter
				visible: context.shouldShowRemainder
				anchors.left: mainArea.left
				anchors.right: mainArea.right
				anchors.bottom: mainArea.bottom
				height: childrenRect.height
				
				Column
				{
					Text
					{
						text: tr.Localize(context.footerReminder)
						id: boldNormal
						font.family: "Arial"
						font.italic: false
						font.pointSize: 9
						font.bold: true
						color: "red"
					}
					
					Widgets.Hyperlink
					{
						text: tr.Localize(context.footerLinkText)						
						onClicked:
						{
							context.buyAction.Invoke();
						}
					}
				}
			}
		}
    }
}
