import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../common/widgets" as Widgets
import "../../common/fonts" as Fonts
import ".." as SettingsCommon
import "../SettingsMargins.js" as Margins
import "../SettingsHelper.js" as SettingsHelper
import "../../common/HelpMapper.js" as HelpMapper

Item
{
	id: settingsPage
	objectName: "MailMonitor"

    property int helpId: HelpMapper.MailMonitorSettingsHelpId

	property variant context: SettingsHelper.GetPageContext(Settings, "MailMonitor")
    property variant fontStyles: Fonts.Common{}

	Localizer { id: tr; scope: "MailMonitorSettings" }

	Column
	{
		objectName: "Column"
        width: parent.width
        spacing: Margins.settingsPageSpacing

        SettingsCommon.SettingsSection
        {
            objectName: "GeneralMailMonitor"
            body: Column
            {
                objectName: "GeneralMailMonitorSection"
                spacing: Margins.settingsMainSectionSpacing

                SettingsCommon.SettingsStandardText
                {
                    width: parent.width
                    anchors.left: parent.left
                    text: tr.Localize("Description")
                    wrapMode: Text.Wrap
                }

                SettingsCommon.CheckBox
                {
                    objectName: "EnableMailMonitor"
                    text: tr.Localize("UseMailMonitor");
                    isBold: true
                    target: context
                    property: "enableMailMonitor"
                    anchors.left: parent.left
                }
            }
        }

		SettingsCommon.SecurityLevelSection
		{
			context: settingsPage.context.levelViewModel
			enabled: settingsPage.context.enableMailMonitor
		}

		SettingsCommon.ThreatDetectionActionSection
		{
			context: settingsPage.context.threatViewModel
			enabled: settingsPage.context.enableMailMonitor
		}
	}
}
