import QtQuick 1.1
import ".." as SettingsCommon
import "../SettingsMargins.js" as Margins
import "../SettingsHelper.js" as SettingsHelper
import "../../common/HelpMapper.js" as HelpMapper

Column
{
    id: settingsPage
    objectName: "ScanObjects"

    property int helpId: HelpMapper.ScanMyComputerSettingsHelpId

    property variant context: SettingsHelper.GetPageContext(Settings, "ScanMyComputer")
    spacing: Margins.settingsPageSpacing

    SettingsCommon.SecurityLevelSection
    {
        objectName: "ScanObjectsSecurityLevel"
        smallTopMargin: true
        context: settingsPage.context.levelViewModel
    }

    SettingsCommon.ThreatDetectionActionSection
    {
        objectName: "ScanObjectsThreatDetection"
        context: settingsPage.context.threatViewModel
    }

    SettingsCommon.ScanRunModeAndScopeSection
    {
        objectName: "ScanObjectsScanRunMode"
        context: settingsPage.context.runModeAndScopeViewModel
    }
}
