import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

Widgets.EmbeddedMessageBox
{
    objectName: "askPanel"
	width: parent.width - 60;
	height:	parent.height
	anchors.centerIn: parent

	Localizer { id:tr; scope:"ScanTask" }
	
	signal flip

	Keys.onEscapePressed: flip()
	function getConfirmation()
	{
		if (taskModel === undefined || taskModel === null)
			return "";
		var key = EnumHelper.getKey(taskModel, "Type");
		if(key == "ActiveThreatCure" || key == "Unknown")
			return "";
		return "TaskManager_ConfirmationMessage" + key;
	}

	text:				tr.Localize(getConfirmation())
	font:				commonFontStyles.standardBoldSubHeadingFont
	leftButtonText:		tr.Localize("TaskManager_Confirm")
	rightButtonText:	tr.Localize("TaskManager_Decline")
	buttonsWidth:		100
	buttonsHeight:		30

	onLeftClicked:
	{
		flip();
		taskModel.Stop();
	}
	onRightClicked:
	{
		flip();
	}
}
