import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/border" as Border

Border.BorderedContent
{
	content: report
	objectName: "taskManagerBorder"

	Localizer { id:tr; scope:"TaskManager" }

	function showPage(page) {}

	Widgets.SecondaryWindow
	{
		objectName: "taskManager"
		id: report
		y:0
		width: 521;
		height: workAreaItem.contentHeight + 29 /* top margin */ + 44 /* bottom margin */
		caption: tr.Localize("TaskManager");

		signal showHelp
		onShowHelp: Help.Show(43745)

		buttonsArea: Item
		{
			objectName: "bottomButtonsArea"

			Widgets.HelpButton
			{
				x: 10
				objectName: "TaskList_HelpButton"
				localizer: tr
				tabOrder: 2
				onClicked: { report.showHelp(); }
				anchors.verticalCenter: parent.verticalCenter
				anchors.left: parent.left
			}

			Row
			{
				objectName: "row"
				anchors
				{
					verticalCenter: parent.verticalCenter
					right: parent.right
				}
				spacing: 5
				Widgets.GrayButton
				{
					tabOrder: 3
					objectName: "clearButton"
					anchors.verticalCenter: parent.verticalCenter
					text:tr.Localize("ClearButton")
					onClicked: TaskList.ClearHistory()
				}
				Widgets.GrayButton
				{
					tabOrder: 3
					setAsDefaultButton: true
					objectName: "closeButton"
					anchors.verticalCenter: parent.verticalCenter
					text:tr.Localize("CloseButton")
					onClicked: Window.Close()
				}
			}
		}
        workArea : TaskList {}

		Keys.onPressed:
		{
			if (event.key == Qt.Key_F1)
				showHelp();
			else 
				event.accepted = false;
		}
	}
}
